# application name
appName: nginx

# host
host: myapp.example.org

# number of replicas
replicas: 1

# Volume used to persist data
volume: {}
  # name: data
  # mountPath: /data
  # size: 1Gi
  # storageClass:
  # accessMode: ReadWriteOnce

# Exposed port
port: 80

# image
image:
  repo: nginx
  tag: latest
  pullPolicy: Always

# override container command
# command: []

# override container args
# args: []

# Environment variable to configure app
env: {}
  # NAME: VALUE

# Secret environment variable to configure app
# The following env will be stored in a k8s secret
secretEnv: {}
  # NAME: VALUE

# Specify resources for the container
resources: {}
  # limits:
  #   cpu: 100m
  #   memory: 150Mi
  # requests:
  #   cpu: 100m
  #   memory: 512Mi

# Configure nginx ingress
ingress:
  clusterIssuer: "letsencrypt-staging"
  tlsSecret: true
  annotations: {}

# Readiness probe
readinessProbe:
  enabled: true
  path: "/"
  # Use this value to specify another port to listen
  # port: 80

# Liveness probe
livenessProbe:
  enabled: false
  path: "/"
  # Use this value to specify another port to listen
  # port: 80

# Docker registry credentials
registryCred: {}
  # registry: registry.exemple.org
  # username: user
  # password: password
